ApiGatewayClientCompositeOperations¶
- class oci.apigateway.ApiGatewayClientCompositeOperations(client, work_request_clients=None, **kwargs)¶
This class provides a wrapper around
ApiGatewayClientand offers convenience methods for operations that would otherwise need to be chained together. For example, instead of performing an action on a resource (e.g. launching an instance, creating a load balancer) and then using a waiter to wait for the resource to enter a given state, you can call a single method in this class to accomplish the same functionalityMethods:
__init__(client[, work_request_clients])Creates a new ApiGatewayClientCompositeOperations object
add_api_lock_and_wait_for_state(api_id, ...)Calls
add_api_lock()and waits for theApiacted upon to enter the given state(s).Calls
add_certificate_lock()and waits for theCertificateacted upon to enter the given state(s).add_sdk_lock_and_wait_for_state(sdk_id, ...)Calls
add_sdk_lock()and waits for theSdkacted upon to enter the given state(s).Calls
change_api_compartment()and waits for theWorkRequestto enter the given state(s).create_api_and_wait_for_state(create_api_details)Calls
create_api()and waits for theWorkRequestto enter the given state(s).create_certificate_and_wait_for_state(...[, ...])Calls
create_certificate()and waits for theWorkRequestto enter the given state(s).create_sdk_and_wait_for_state(create_sdk_details)Calls
create_sdk()and waits for theWorkRequestto enter the given state(s).delete_api_and_wait_for_state(api_id[, ...])Calls
delete_api()and waits for theWorkRequestto enter the given state(s).delete_certificate_and_wait_for_state(...[, ...])Calls
delete_certificate()and waits for theWorkRequestto enter the given state(s).delete_sdk_and_wait_for_state(sdk_id[, ...])Calls
delete_sdk()and waits for theWorkRequestto enter the given state(s).remove_api_lock_and_wait_for_state(api_id, ...)Calls
remove_api_lock()and waits for theApiacted upon to enter the given state(s).Calls
remove_certificate_lock()and waits for theCertificateacted upon to enter the given state(s).remove_sdk_lock_and_wait_for_state(sdk_id, ...)Calls
remove_sdk_lock()and waits for theSdkacted upon to enter the given state(s).update_api_and_wait_for_state(api_id, ...[, ...])Calls
update_api()and waits for theWorkRequestto enter the given state(s).update_certificate_and_wait_for_state(...[, ...])Calls
update_certificate()and waits for theWorkRequestto enter the given state(s).update_sdk_and_wait_for_state(sdk_id, ...[, ...])Calls
update_sdk()and waits for theSdkacted upon to enter the given state(s).- __init__(client, work_request_clients=None, **kwargs)¶
Creates a new ApiGatewayClientCompositeOperations object
- Parameters
client (ApiGatewayClient) – The service client which will be wrapped by this object
work_request_clients (dict) –
(optional) Service-local clients keyed by generated client class name, for example
{'WorkRequestClient': work_request_client}. By default, regional clients are created when needed using the wrapped client’s signer, endpoint and constructor options.Automatically created work-request clients are cached. Before each wait, their endpoint and signer are refreshed from the wrapped client; other client settings and HTTP session changes are not synchronized. Do not modify the wrapped client’s endpoint or signer while a wait is in progress.
Supply a client for non-regional endpoints or customized HTTP sessions. These clients are separate from the shared Work Requests service.
- add_api_lock_and_wait_for_state(api_id, add_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_api_lock()and waits for theApiacted upon to enter the given state(s).- Parameters
api_id (str) – (required) The ocid of the API.
add_resource_lock_details (oci.apigateway.models.AddResourceLockDetails) – (required) AddResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_api_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- add_certificate_lock_and_wait_for_state(certificate_id, add_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_certificate_lock()and waits for theCertificateacted upon to enter the given state(s).- Parameters
certificate_id (str) – (required) The ocid of the certificate.
add_resource_lock_details (oci.apigateway.models.AddResourceLockDetails) – (required) AddResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_certificate_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- add_sdk_lock_and_wait_for_state(sdk_id, add_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_sdk_lock()and waits for theSdkacted upon to enter the given state(s).- Parameters
sdk_id (str) – (required) The ocid of the SDK.
add_resource_lock_details (oci.apigateway.models.AddResourceLockDetails) – (required) AddResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_sdk_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- change_api_compartment_and_wait_for_state(api_id, change_api_compartment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
change_api_compartment()and waits for theWorkRequestto enter the given state(s).- Parameters
api_id (str) – (required) The ocid of the API.
change_api_compartment_details (oci.apigateway.models.ChangeApiCompartmentDetails) – (required) Details of the target compartment.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
change_api_compartment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_api_and_wait_for_state(create_api_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_api()and waits for theWorkRequestto enter the given state(s).- Parameters
create_api_details (oci.apigateway.models.CreateApiDetails) – (required) Details for the new API.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_api()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_certificate_and_wait_for_state(create_certificate_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_certificate()and waits for theWorkRequestto enter the given state(s).- Parameters
create_certificate_details (oci.apigateway.models.CreateCertificateDetails) – (required) Details for the new certificate
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_certificate()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_sdk_and_wait_for_state(create_sdk_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_sdk()and waits for theWorkRequestto enter the given state(s).- Parameters
create_sdk_details (oci.apigateway.models.CreateSdkDetails) – (required) Details for the new SDK.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_sdk()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_api_and_wait_for_state(api_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_api()and waits for theWorkRequestto enter the given state(s).- Parameters
api_id (str) – (required) The ocid of the API.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_api()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_certificate_and_wait_for_state(certificate_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_certificate()and waits for theWorkRequestto enter the given state(s).- Parameters
certificate_id (str) – (required) The ocid of the certificate.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_certificate()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_sdk_and_wait_for_state(sdk_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_sdk()and waits for theWorkRequestto enter the given state(s).- Parameters
sdk_id (str) – (required) The ocid of the SDK.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_sdk()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_api_lock_and_wait_for_state(api_id, remove_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_api_lock()and waits for theApiacted upon to enter the given state(s).- Parameters
api_id (str) – (required) The ocid of the API.
remove_resource_lock_details (oci.apigateway.models.RemoveResourceLockDetails) – (required) RemoveResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_api_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_certificate_lock_and_wait_for_state(certificate_id, remove_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_certificate_lock()and waits for theCertificateacted upon to enter the given state(s).- Parameters
certificate_id (str) – (required) The ocid of the certificate.
remove_resource_lock_details (oci.apigateway.models.RemoveResourceLockDetails) – (required) RemoveResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_certificate_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_sdk_lock_and_wait_for_state(sdk_id, remove_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_sdk_lock()and waits for theSdkacted upon to enter the given state(s).- Parameters
sdk_id (str) – (required) The ocid of the SDK.
remove_resource_lock_details (oci.apigateway.models.RemoveResourceLockDetails) – (required) RemoveResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_sdk_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_api_and_wait_for_state(api_id, update_api_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_api()and waits for theWorkRequestto enter the given state(s).- Parameters
api_id (str) – (required) The ocid of the API.
update_api_details (oci.apigateway.models.UpdateApiDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_api()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_certificate_and_wait_for_state(certificate_id, update_certificate_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_certificate()and waits for theWorkRequestto enter the given state(s).- Parameters
certificate_id (str) – (required) The ocid of the certificate.
update_certificate_details (oci.apigateway.models.UpdateCertificateDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_certificate()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_sdk_and_wait_for_state(sdk_id, update_sdk_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_sdk()and waits for theSdkacted upon to enter the given state(s).- Parameters
sdk_id (str) – (required) The ocid of the SDK.
update_sdk_details (oci.apigateway.models.UpdateSdkDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_sdk()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait